#ifndef __IML_H__
#define __IML_H__

void iml_sendback_key(iml_session_t *s, IMKeyEventStruct *key);
void iml_conversion_off(iml_session_t * s);
void iml_conversion_on(iml_session_t * s);
void iml_lookup_draw(iml_session_t * s, UTFCHAR ** luc_tmp, int luc_num, int label_type);
void iml_lookup_enddraw(iml_session_t *s);
void iml_preedit_draw(iml_session_t * s, UTFCHAR *preedit_buf, int caret_pos);
void iml_preedit_enddraw(iml_session_t * s);
void iml_status_draw(iml_session_t * s, UTFCHAR *status_str);
void iml_commit(iml_session_t * s, UTFCHAR *commit_buf);

#endif

